Bug 1088125 - docker top stopped working, cgroup path changed
Summary: docker top stopped working, cgroup path changed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1096280
TreeView+ depends on / blocked
 
Reported: 2014-04-16 05:51 UTC by Lukas Doktor
Modified: 2014-07-01 23:00 UTC (History)
9 users (show)

Fixed In Version: docker-io-0.11.1-7.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1096280 (view as bug list)
Environment:
Last Closed: 2014-06-10 02:50:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Doktor 2014-04-16 05:51:41 UTC
Description of problem:
The `docker top` command stopped working, the path to cgroup processes had changed.


Version-Release number of selected component (if applicable):
docker-io-0.10.0-2.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. docker run -i fedora bash
2. docker top $NAME

Actual results:
[root@t530 ~]# docker top determined_jones 
2014/04/16 07:47:52 Error: open /sys/fs/cgroup/devices/system.slice/docker/93dfbd4d375cf026df215d87b5d93de8b0a9bd55094e33c2ca3322cd6afb53f1/tasks: no such file or directory

Expected results:
list of processes...

Additional info:
[root@t530 ~]# ls /sys/fs/cgroup/devices/system.slice/
cgroup.clone_children
cgroup.event_control
cgroup.procs
devices.allow
devices.deny
devices.list
docker-93dfbd4d375cf026df215d87b5d93de8b0a9bd55094e33c2ca3322cd6afb53f1.scope
notify_on_release
tasks

Comment 1 Lukas Doktor 2014-05-05 07:46:55 UTC
The same bug is in upstream Docker version 0.10.0, build dc9c28f/0.10.0

Comment 2 Daniel Walsh 2014-05-19 17:52:17 UTC
Lokesh you need to patch the F19/F20 version of docker with my cgroup patch.

Comment 3 Fedora Update System 2014-05-29 12:55:34 UTC
docker-io-0.11.1-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.11.1-7.fc20

Comment 4 Fedora Update System 2014-05-29 13:08:32 UTC
docker-io-0.11.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.11.1-7.fc19

Comment 5 Fedora Update System 2014-05-29 23:25:16 UTC
Package docker-io-0.11.1-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing docker-io-0.11.1-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6848/docker-io-0.11.1-7.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-06-10 02:50:43 UTC
docker-io-0.11.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-06-10 02:53:38 UTC
docker-io-0.11.1-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.